org.apache.sling.bgservlets.impl.storage

## Class JobStorageImpl

- java.lang.Object
- - org.apache.sling.bgservlets.impl.storage.JobStorageImpl

All Implemented Interfaces:
  JobStorage

    @Service
    public class JobStorageImpl
    extends Object
    implements JobStorage

Default JobStorage implementation

### Field Summary

Fields
`static String` `JOB_NODETYPE`
`static String` `PATH_FORMAT`
`static String` `PROP_JOB_STORAGE_PATH` Configurable base path for storing job data

### Constructor Summary

Constructors
Constructor and Description
`JobStorageImpl()`

### Method Summary

Methods
`protected void` `activate(Map<String,Object> props)`
`JobData` `createJobData(javax.jcr.Session s)` Create a JobData object for a new job
`JobData` `getJobData(javax.jcr.Node n)` Retrieve an existing JobData object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROP_JOB_STORAGE_PATH

    @Property(value="/var/bg/jobs")
    public static final String PROP_JOB_STORAGE_PATH

Configurable base path for storing job data

See Also:
  Constant Field Values

#### PATH_FORMAT

    public static final String PATH_FORMAT

See Also:
  Constant Field Values

#### JOB_NODETYPE

    public static final String JOB_NODETYPE

See Also:
  Constant Field Values

### Constructor Detail

#### JobStorageImpl

    public JobStorageImpl()

### Method Detail

#### activate

    @Activate
    protected void activate(Map<String,Object> props)

#### createJobData

    public JobData createJobData(javax.jcr.Session s)

Description copied from interface: `JobStorage`
Create a JobData object for a new job

Specified by:
  `createJobData` in interface `JobStorage`

#### getJobData

    public JobData getJobData(javax.jcr.Node n)

Description copied from interface: `JobStorage`
Retrieve an existing JobData object

Specified by:
  `getJobData` in interface `JobStorage`